# React Humanize Duration

> Humanize a number into time in React and React Native `1000` → `1 second`

[![CI](https://github.com/yohix/react-humanize-duration/workflows/CI/badge.svg)](https://github.com/yohix/react-humanize-duration/actions)
[![Version](http://img.shields.io/npm/v/react-humanize-duration.svg?style=flat)](https://badge.fury.io/js/react-humanize-duration)
[![Downloads](https://img.shields.io/npm/dm/react-humanize-duration.svg)](https://npmjs.com/react-humanize-duration)
[![Install size](https://badgen.net/packagephobia/install/react-humanize-duration)](https://packagephobia.now.sh/result?p=react-humanize-duration)

[![NPM](https://nodei.co/npm/react-humanize-duration.png?downloads=true)](https://nodei.co/npm/react-humanize-duration)

## Try in CodeSandbox

[![Edit react-camelcase](https://codesandbox.io/static/img/play-codesandbox.svg)](https://codesandbox.io/s/react-humanize-duration-93mz8?fontsize=14&hidenavigation=1&theme=dark)

## Install

```
$ npm install react-humanize-duration
```

## Usage

```js
import HumanizeDuration from 'react-humanize-duration';

const App = () => (
  <div>
    <HumanizeDuration duration={1000} />
  </div>
);

// => '1 second'
```

## API

### number={input}

Type: `integer`

```jsx
<HumanizeDuration duration={1000} />

// => '1 second'
```

### language={object}

Type: `object`

```jsx
<HumanizeDuration duration={1000} language={{ language: 'es' }} />

// => '1 segundo'
```

## License

MIT © [Yohix](LICENSE)
